> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapebadger.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search patents

> Search patents



## OpenAPI

````yaml GET /v1/google/patents/search
openapi: 3.1.0
info:
  title: ScrapeBadger Google Scraper
  description: >-
    Dedicated API for scraping Google products (SERP, Maps, News, Hotels,
    Trends, Jobs, Shopping, Patents, Scholar, Autocomplete, Images, Videos,
    Finance, AI Mode, Lens, Products).
  version: 1.0.0
servers:
  - url: https://scrapebadger.com
    description: Production
security:
  - apiKeyAuth: []
paths:
  /v1/google/patents/search:
    get:
      tags:
        - Google Patents
      summary: Search Google Patents
      description: Search Google Patents using the XHR API.
      operationId: search_patents_api_v1_patents_search_get
      parameters:
        - name: q
          in: query
          required: true
          schema:
            type: string
            description: Search query (supports Boolean logic)
            title: Q
          description: Search query (supports Boolean logic)
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Page number
            default: 0
            title: Page
          description: Page number
        - name: num
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Results per page
            default: 10
            title: Num
          description: Results per page
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - new
                  - old
                type: string
              - type: 'null'
            description: Sort order
            title: Sort
          description: Sort order
        - name: inventor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Inventor name(s)
            title: Inventor
          description: Inventor name(s)
        - name: assignee
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Assignee name(s)
            title: Assignee
          description: Assignee name(s)
        - name: country
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Country code(s)
            title: Country
          description: Country code(s)
        - name: language
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - ENGLISH
                  - GERMAN
                  - CHINESE
                  - FRENCH
                  - JAPANESE
                  - KOREAN
                  - SPANISH
                type: string
              - type: 'null'
            description: Patent language
            title: Language
          description: Patent language
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - GRANT
                  - APPLICATION
                type: string
              - type: 'null'
            title: Status
        - name: patent_type
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - PATENT
                  - DESIGN
                type: string
              - type: 'null'
            title: Patent Type
        - name: before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Before date (YYYYMMDD)
            title: Before
          description: Before date (YYYYMMDD)
        - name: after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: After date (YYYYMMDD)
            title: After
          description: After date (YYYYMMDD)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PatentSearchResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PatentSearchResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/PatentResult'
          type: array
          title: Results
        total_results:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Results
        query:
          type: string
          title: Query
        pagination:
          $ref: '#/components/schemas/Pagination'
      type: object
      required:
        - results
        - query
        - pagination
      title: PatentSearchResponse
      description: Response for GET /api/v1/patents/search.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PatentResult:
      properties:
        title:
          type: string
          title: Title
        snippet:
          anyOf:
            - type: string
            - type: 'null'
          title: Snippet
        patent_id:
          type: string
          title: Patent Id
        publication_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Publication Number
        priority_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Priority Date
        filing_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Filing Date
        grant_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Grant Date
        publication_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Publication Date
        inventor:
          anyOf:
            - type: string
            - type: 'null'
          title: Inventor
        assignee:
          anyOf:
            - type: string
            - type: 'null'
          title: Assignee
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail
        pdf_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Pdf Link
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
        figures:
          items:
            $ref: '#/components/schemas/PatentFigure'
          type: array
          title: Figures
        country_status:
          additionalProperties:
            type: string
          type: object
          title: Country Status
      type: object
      required:
        - title
        - patent_id
      title: PatentResult
      description: A single patent search result.
    Pagination:
      properties:
        current:
          anyOf:
            - type: integer
            - type: string
          title: Current
          default: 1
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        total_results:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Results
        total_pages:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Pages
        page_no:
          additionalProperties:
            type: string
          type: object
          title: Page No
      type: object
      title: Pagination
      description: Pagination metadata.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PatentFigure:
      properties:
        url:
          type: string
          title: Url
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail
      type: object
      required:
        - url
      title: PatentFigure
      description: Patent figure/drawing.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````